@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@100..900&display=swap');

.fa-container {
  width: 100%;
  box-sizing: border-box;
  background: linear-gradient(to right, #f3ede7 0%, #ede7dc 100%);
}

.fs-content-mob {
  display: none;
  width: 100%;
  height: auto;
}

.fs-content-mob img {
  width: 100%;
  height: auto;
  object-fit: contain;
}

.fs-content-web {
  width: 100%;
  height: auto;
}

.fs-content-web img {
  width: 100%;
  height: auto;
  object-fit: contain;
}

.fs-btn-content {
  width: 60%;
  margin: 0 auto;
  display: flex;
  gap: 48px;
  padding: 40px 0px 80px;
}

.fs-btn {
  font-size: 36px;
  font-weight: 500;
  padding: 16px 24px;
  flex: 1;
  text-align: center;
  border-radius: 50px;
  /* 陰影效果：增加立體質感 */
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.15);
  transition: all 0.3s ease;
}

.fs-btn:first-child {
  color: #ffd801;
  background: #091035;
  /* 動態過渡效果 */
}

.fs-btn:first-child:hover {
  background: #ffd801;
  color: #091035;
}

.fs-btn:last-child:hover {
  color: #dbd62e;
  background: #201815;
}

.fs-btn:last-child {
  color: #201815;
  background: #dbd62e;
  /* 動態過渡效果 */
}

@media screen and (max-width:1410px) {
  .fs-btn {
    font-size: 21px;
  }
}

@media screen and (max-width:930px) {
  .fs-btn-content {
    gap: 16px;
  }

  .fs-btn {
    font-size: 18px;
  }
}

@media screen and (max-width:780px) {
  .fs-btn-content {
    gap: 8px;
  }

  .fs-btn {
    font-size: 16px;
    line-height: 24px;
    padding: 8px 4px;
  }
}

@media screen and (max-width:580px) {
  .fa-container {
    background: linear-gradient(to right, #f6f3ed 0%, #f7f5ed 100%);
  }

  .fs-content-mob {
    display: block;
  }

  .fs-content-web {
    display: none;
  }

  .fs-btn-content {
    width: 90%;
    gap: 8px;
    padding: 24px 0px 40px;
  }
}

@media screen and (max-width:440px) {
  .fs-btn-content {
    flex-direction: column;
  }

  .fs-btn:first-child {
    margin-bottom: 16px;
  }
}